1. Contact
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Contact

contactSave

POST
/api/v1/customer/create

Request

Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
🟠400Valid Branch ID
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/customer/create?branch_id=24457' \
--header 'api-token: ws9ad6a5-854e-4bxq-a5c3-664129ekalea' \
--header 'Content-Type: application/json' \
--data-raw '{
    "accountCustomId": 0,
    "anniversaryDate": "",
    "companyName": "",
    "contactAddressDTO": [
        {
            "addressId": 0,
            "addressLine1": "asa",
            "addressLine2": "dfgdf",
            "cityCode": "938",
            "cityName": "",
            "countriesCode": "IN",
            "countriesName": "",
            "isDefault": 0,
            "pinCode": "385001",
            "stateCode": "28",
            "stateName": "",
            "gstType":"UnRegistered",
            "gstin":"",
            "firstName":"new 1",
            "lastName":"customer 1",
            "companyName":"company 1",
            "panNo":"ABCDE1234F",
            "contactNo":"012301210",
            "contactEmail":"newcustomer2@gmail.com"
        },
        {
            "addressId": 0,
            "addressLine1": "asa",
            "addressLine2": "dfgdf",
            "cityCode": "938",
            "cityName": "",
            "countriesCode": "IN",
            "countriesName": "",
            "isDefault": 0,
            "pinCode": "385001",
            "stateCode": "28",
            "stateName": "",
            "gstType":"UnRegistered",
            "gstin":"",
            "firstName":"new 2",
            "lastName":"customer 2",
            "companyName":"company 2",
            "panNo":"ABCDE1234F",
            "contactNo":"012301210",
            "contactEmail":"newcustomer2@gmail.com"
        },
        {
            "addressId": 0,
            "addressLine1": "asa",
            "addressLine2": "dfgdf",
            "cityCode": "938",
            "cityName": "",
            "countriesCode": "IN",
            "countriesName": "",
            "isDefault": 1,
            "pinCode": "385001",
            "stateCode": "28",
            "stateName": "",
            "gstType":"Registered",
            "gstin":"29AAACR4849R1ZH",
            "firstName":"new 3",
            "lastName":"customer 3",
            "companyName":"company 3",
            "panNo":"ABCDE1234F",
            "contactNo":"012301210",
            "contactEmail":"newcustomer2@gmail.com"
        }
    ],
    "contactId": 0,
    "contactType": "wholesaler",
    "dateOfBirth": "",
    "deletedAddressIds": [],
    "email": "",
    "firstName": "New Customer 2",
    "gstType": "UnRegistered",
    "gstin": "",
    "lastName": "",
    "mobNo": "7821878251",
    "opening": "0.0",
    "openingType": "debitAmount",
    "panNo": "",
    "remark": "",
    "telephone": "",
    "whatsappNo": "8411344554",
    "creditLimit":"100"
}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Customer created successfully",
    "code": "200",
    "response": {
        "contactId": 5524252
    }
}
Previous
Get Contact By Mobile No
Next
Supplier(Party)
Built with